using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MessagePack;
using MongoDB.Bson;

namespace CommonEntity
{
    [MessagePackObject()]
    public class NewVersionHexData
    {
        [Key(0)]
        public byte CmdType { get; set; }

        [Key(1)]
        public string? HotelCode { get; set; }

        [Key(2)]
        public string? HostNumber { get; set; }

        [Key(3)]
        public string? RoomNumber { get; set; }

        [Key(4)]
        public string? RemoteEndPoint { get; set; }

        [Key(5)]
        public string? HexData { get; set; }

        [Key(6)]
        public DateTime CurrentTime { get; set; }

        [Key(7)]
        public string? MAC { get; set; }

        [Key(8)]
        public string? CurrentStatus { get; set; }

        [Key(9)]
        public long? UnixTime { get; set; }

        [Key(10)]
        public byte[]? LauncherVersion { get; set; }

        [Key(11)]
        public byte[]? RebootReason { get; set; }
    }


    public class NewVersionHexData_db
    {
        public ObjectId _id { get; set; }
        public byte CmdType { get; set; }
        public string? HotelCode { get; set; }
        public string? HostNumber { get; set; }
        public string? RoomNumber { get; set; }
        public string? RemoteEndPoint { get; set; }
        public string? HexData { get; set; }
        public DateTime CurrentTime { get; set; }
        public List<Dictionary<string, string>>? Data { get; set; }
    }
}
